package com.muyu.cargateway.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-10-07-18:34
 * @ Version：1.0
 * @ Description：Ali配置类
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "aliyun")
public class AliProperties {
    /**
     * key
     */
    private String accessKeyId;
    /**
     * secret
     */
    private String accessKeySecret;
    /**
     * 地域
     */
    private String endpoint;
    /**
     * 地域id
     */
    private String regionId;
    /**
     * 镜像id
     */
    private String imageId;
    /**
     * 实例规格
     */
    private String instanceType;
    /**
     * 安全组id
     */
    private String securityGroupId;
    /**
     * 虚拟交换机ID
     */
    private String switchId;
    /**
     * 生成实例数量
     */
    private Integer amount;
}
