package com.muyu.cargateway.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-27-20:56
 * @ Version：1.0
 * @ Description：服务器配置
 * @author Lenovo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value="server_config")
public class ServerConfig {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 租户id
     */
    private String tenantId;
    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口
     */
    private String port;
    /**
     * 负载的地址
     */
    private String uri;
    /**
     * 默认MQTT地址
     */
    private String defaultMqttAddr;
    /**
     * 默认MQTT主题
     */
    private String defaultMqttTopic;
    /**
     * 默认MQTT QOS
     */
    private Integer defaultMqttQos;
}
