package com.muyu.data.processing;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 数据处理模块启动器
 * @Author: 胡杨
 * @Name: MyData
 * @Description: 数据处理模块启动器
 * @CreatedDate: 2024/9/26 下午7:31
 * @FilePath: com.muyu.data.processing
 */
@EnableRabbit
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication(scanBasePackages = {"com.muyu"})
public class CloudVehicleEventApplication {
    public static void main(String[] args) {
        SpringApplication.run(CloudVehicleEventApplication.class, args);

        System.out.println("MyData 模块启动成功!");
    }

}
