package com.muyu.data.processing.mapper;

import com.muyu.data.processing.domain.CarData;
import com.muyu.data.processing.domain.IotDbData;
import com.muyu.data.processing.domain.BasicData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 数据处理持久层
 *
 * @Author: 胡杨
 * @Name: DataPeocessingMapper
 * @Description: 数据处理持久层
 * @CreatedDate: 2024/9/28 下午3:47
 * @FilePath: com.muyu.data.processing.mapper
 */

@Repository
@Mapper
public interface DataProcessingMapper{

    List<String> selectStorageGroup();

    Integer insIotDbData(@Param("key") String key, @Param("value") String value);

    void strategyCheck(@Param("dataList") List<BasicData> dataList);

    Integer insIotDbDataVo(IotDbData build);

    List<CarData> selectCarData(@Param("tableName") String tableName);
}
