package com.muyu.data.processing.service;


import com.muyu.data.processing.domain.BasicData;
import com.muyu.data.processing.domain.CarData;

import java.util.HashMap;
import java.util.List;

/**
 * 数据处理业务层
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 数据处理业务层
 * @CreatedDate: 2024/9/28 下午3:52
 * @FilePath: com.muyu.data.processing.server
 */

public interface DataProcessingService{

    /**
     * 选择存储组
     *
     * @return {@link List }<{@link String }>
     */
    List<String> selectStorageGroup();

    void strategyCheck(List<BasicData> dataList);

    Integer insIotDbData(String key, String value);

    List<CarData> selectCarData(String firmCode, String vin);

    Object addCarData(HashMap<String, BasicData> hashMap);
}
