package com.muyu.data.processing.strategy.core;

import com.muyu.data.processing.domain.BasicData;
import java.util.HashMap;
import java.util.List;
import com.muyu.data.processing.domain.Temporary2;
import com.muyu.data.processing.strategy.StrategyHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 结束节点
 *
 * @Author: 胡杨
 * @Name: EndStrategy
 * @Description: 策略树 - 结束节点
 * @CreatedDate: 2024/9/30 下午7:13
 * @FilePath: com.muyu.data.processing.strategy.leaves
 */

@Slf4j
@Component
public class EndStrategy implements StrategyHandler<HashMap<String, BasicData>, Temporary2> {
    @Override
    public Temporary2 apply(HashMap<String, BasicData> basicDataMap) {
        log.info("结束节点已通过。。。");
        return null;
    }
}
