package com.muyu.openbusiness.cahce.apply;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.cache.BasicCacheData;
import com.muyu.openbusiness.domain.SysCar;
import com.muyu.openbusiness.remote.SysCarRemoteService;
import com.muyu.openbusiness.service.impl.SysCarServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

/**
 * 键和值转换 - 车辆数据
 */
@Primary
@Component
public class SysCarCacheRemoteData implements BasicCacheData<String, SysCar> {


    @Autowired
    private SysCarServiceImpl sysCarService;

    @Override
    public SysCar apply(String key) {
        return sysCarService.getOne(
                new LambdaQueryWrapper<>(){{
                    eq(SysCar::getCarVin, key);
                }}
        );
    }
}
