package com.muyu.openbusiness.service.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.openbusiness.config.SnowflakeIdWorker;
import com.muyu.openbusiness.domain.SysFence;
import com.muyu.openbusiness.mapper.SysFenceMapper;
import com.muyu.openbusiness.service.ISysFenceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;



/**
 * 围栏组Service业务层处理
 *
 * @author muyu
 * @date 2024-09-17
 */
@Service
public class SysFenceServiceImpl
        extends ServiceImpl<SysFenceMapper, SysFence>
        implements ISysFenceService {

@Autowired
    RedisTemplate redisTemplate;
    @Override
    public SysFence selectSysFenceById(Long id) {

        LambdaQueryWrapper<SysFence> queryWrapper = new LambdaQueryWrapper<>();
        Assert.notNull(id, "id不可为空");
        queryWrapper.eq(SysFence::getId, id);
        return this.getOne(queryWrapper);
    }

    @Override
    public List<SysFence> selectSysFenceList(SysFence sysFence) {
        LambdaQueryWrapper<SysFence> queryWrapper = new LambdaQueryWrapper<>();
        if (StringUtils.isNotEmpty(sysFence.getGroupCode())){
            queryWrapper.eq(SysFence::getGroupCode, sysFence.getGroupCode());
        }
        if (StringUtils.isNotEmpty(sysFence.getGroupName())){
        queryWrapper.like(SysFence::getGroupName, sysFence.getGroupName());
    }
        if (StringUtils.isNotEmpty(sysFence.getGroupType())){
        queryWrapper.eq(SysFence::getGroupType, sysFence.getGroupType());
    }
        if (StringUtils.isNotEmpty(sysFence.getState())){
        queryWrapper.eq(SysFence::getState, sysFence.getState());
    }
        //生成一个时间唯一戳
        SnowflakeIdWorker snowMaker = new SnowflakeIdWorker();
        for (int i = 0; i < 100; i++) {
            long id = snowMaker.nextId();
            System.out.println(id);

        }
        redisTemplate.opsForValue().set("id",list(queryWrapper));
        return this.list(queryWrapper);

    }

    @Override
    public Boolean checkIdUnique(SysFence sysFence) {
        return null;
    }
}
